BimpHelp

Price lists: Bimp API methods

Bimp API methods for the “Price lists” resource (/org2/priceList/…): 7 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/priceList/api-readListA request to view a list of price lists
POST /org2/priceList/api-readA request to obtain detailed information for a particular price list
POST /org2/priceList/api-createA request to create a new price list
POST /org2/priceList/api-updateA request to update information to an existing price list
POST /org2/priceList/api-readPriceA request to obtain prices for price lists
POST /org2/priceList/api-createPriceA request to create a new price
POST /org2/priceList/api-updatePriceA request to update information to an existing price

api-readList

POST /org2/priceList/api-readList

A request to view a list of price lists

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
mainbooleanIs this the main price list?

Response: data field

FieldTypeDescription
[].namestringPrice list name
[].uuidstringA unique uuid key for a price list
[].mainbooleanIs this price list main?
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-read

POST /org2/priceList/api-read

A request to obtain detailed information for a particular price list

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for an Price list

Response: data field

FieldTypeDescription
uuidstringA unique uuid key for a price list
namestringPrice list name
descriptionstringPrice list description
mainbooleanIs this price list main?
currencystringA unique name for the Currency, obtainable from the /currency/api-readList request
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-create

POST /org2/priceList/api-create

A request to create a new price list

Request body (JSON)

FieldTypeRequiredDescription
namestringyesPrice list name
currencystringyesA unique name for the Currency, obtainable from the /currency/api-readList request
descriptionstringPrice list description

Response: data field

FieldTypeDescription
uuidstringA unique uuid key for a price list
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"name":"string","currency":"string"}'

api-update

POST /org2/priceList/api-update

A request to update information to an existing price list

Request body (JSON)

FieldTypeRequiredDescription
uuidstringyesA unique uuid key for a price list
namestringPrice list name
descriptionstringPrice list description
currencystringA unique name for the Currency, obtainable from the /currency/api-readList request
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"string"}'

api-readPrice

POST /org2/priceList/api-readPrice

A request to obtain prices for price lists

Request body (JSON)

FieldTypeRequiredDescription
priceListUuidstring (uuid)yesA unique identifier for the Price List, obtainable from the /priceList/api-readList request

Response: data field

FieldTypeDescription
[].nomenclatureUuidstring
[].pricesobject[]
[].prices[].amountnumber
[].prices[].datestring
[].prices[].currencystring
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-readPrice' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"priceListUuid":"00000000-0000-0000-0000-000000000000"}'

api-createPrice

POST /org2/priceList/api-createPrice

A request to create a new price

Request body (JSON)

FieldTypeRequiredDescription
nomenclatureUuidstring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
priceListUuidstring (uuid)yesA unique identifier for the Price List, obtainable from the /priceList/api-readList request
amountnumberyesPrice amount
datestring (date-time)
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-createPrice' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"nomenclatureUuid":"00000000-0000-0000-0000-000000000000","priceListUuid":"00000000-0000-0000-0000-000000000000","amount":1}'

api-updatePrice

POST /org2/priceList/api-updatePrice

A request to update information to an existing price

Request body (JSON)

FieldTypeRequiredDescription
nomenclatureUuidstring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
priceListUuidstring (uuid)yesA unique identifier for the Price List, obtainable from the /priceList/api-readList request
amountnumberyesPrice amount
datestring (date-time)yes
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-updatePrice' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"nomenclatureUuid":"00000000-0000-0000-0000-000000000000","priceListUuid":"00000000-0000-0000-0000-000000000000","amount":1,"date":"2026-11-01T00:00:00.000Z"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.